#include <stdio.h>
#include "stack.h"

/*************************************************************************
 push state onto stack
*************************************************************************/
stack_struct *push_stack (stack_ptr, elem)
stack_struct *stack_ptr;
void *elem;
{
stack_struct *new;

new = NEW_STACK;
new->elem = elem;
new->nxt = stack_ptr;
return (new);
}

/*************************************************************************
 pop state from stack
*************************************************************************/
stack_struct *pop_stack(stack_ptr)
stack_struct *stack_ptr;

{
stack_struct *del;

del = stack_ptr;
stack_ptr = stack_ptr->nxt;
free (del);
return (stack_ptr);
}

/*************************************************************************
 current state of the stack
*************************************************************************/
void *stack_state(stack_ptr)
stack_struct *stack_ptr;

{
return (stack_ptr->elem);
}

/*************************************************************************
 debug stack
*************************************************************************/
debug_stack(ptr)
stack_struct *ptr;

{
while (ptr != NULL) {
  printf ("stack item\n");
  ptr = ptr->nxt;
  }
}

