/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
					scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
					markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
/*******************************************
  compliant RWhois protocol version - leave alone
********************************************/
#define RWHOIS_PROTOCOL_VERSION "1.0"

/********************************************
  database engine - so far wais and mkdb
*********************************************/
#define USE_MKDB 1
/*#define USE_WAIS 1 */

/********************************************
  local changes - files
*********************************************/

/* defines the location for the logging file */
#define RWHOIS_LOG_FILE  "rwhois.log"
/* defines the location for the configuration file */
#define DEFAULT_RWHOIS_CONFIG_FILE "rwhois.conf"
/* defines the location for the rwhois root servers file */
#define DEFAULT_RWHOIS_ROOT_FILE "rwhois.root"
/* defines the location for the rwhois help file */
#define DEFAULT_RWHOIS_HELP_FILE "rwhois.help"

/********************************************
  local changes - default query limits
*********************************************/

/* max number of hits allowed to set to */
#define CEILING_MAX_HITS 2048
/* default maximum number of hits - change with -limit command */
#define DEFAULT_MAX_HITS 20
