/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
					scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
					markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
#ifndef _DEFINE_H_
#define _DEFINE_H_

#define D_DEFINE_MACRO "MACRO"

typedef enum {
  DEFINE_MACRO
} d_type;

#define D_TYPE   "type"
#define D_NAME   "name"
#define D_VALUE  "value"

typedef struct _define_struct {
  int   type;                      /* type of definition */
  char *name;                      /* name of the definition */
  char *value;                     /* value of the definition */
  struct _define_struct *nxt;      /* next definition */
} define_struct;

#define NEW_DEFINE (define_struct *) calloc ((unsigned)1, \
   (unsigned)sizeof(define_struct))

int display_define();

#endif
